"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildDependencyTree = void 0;
function buildDependencyTree(deps) {
    const devDependencies = [];
    const dependencies = [];
    const peerDependencies = [];
    if (!deps)
        return {
            dependencies,
            devDependencies,
        };
    deps.map((dep) => {
        if (dep.lifecycle === 'dev') {
            devDependencies.push(dep);
            return undefined;
        }
        if (dep.lifecycle === 'peer') {
            peerDependencies.push(dep);
            return undefined;
        }
        dependencies.push(dep);
        return undefined;
    });
    return {
        dependencies,
        devDependencies,
        peerDependencies,
    };
}
exports.buildDependencyTree = buildDependencyTree;
//# sourceMappingURL=build-depndency-tree.js.map